Description

Some datasets have polygon style labels, where the polygon is the outline of the label.

Now that we have the option 'Using perimeter (curved)', this can be used, but it is not optimal. The label is not placed at the center and the

font must be smaller than necessary or no label is plotted at all.

The whole perimeter is considered while we would like to consider only the center line of the polygon.

I think a new option is needed: 'Using polygon as outline'. The center line of the polygon should be calculated and the label should be

plotted on this line.

The height of the label could be deduced from the height of the polygon, but I do not think this is sensible.

Which edges represent the height of the label can perhaps be determined whether two adjacent edges have an angle of around 90

degrees.

Furthermore the dataset might contain multipolygons, where every word of the label should match a polygon.

History

#1 - 2016-08-06 02:43 AM - Nyall Dawson

- Status changed from Open to Feedback

Frits - it's not immediately clear exactly what you're after here. Can you attach a sketch or some illustration?

#2 - 2016-08-06 03:19 AM - Frits van Veen

- File 2016-08-06_12_13_30-Top250.dtxml_-_DisplayTopo.png added

- File 2016-08-06_12_13_02-QGIS_2.16.0-Nødebo_-_Top10NL.png added

- File 2016-08-06_12_15_04-QGIS_2.16.0-Nødebo_-_Top10NL.png added

I added some examples. Picture 12_13_30 is the official map from the Dutch Kadaster. The rest my rendition with QGIS.

#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
